ActiveMQConnectionMetaData (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.ActiveMQConnectionMetaData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq
Class ActiveMQConnectionMetaData

    java.lang.Object
      org.codehaus.activemq.ActiveMQConnectionMetaData

All Implemented Interfaces:
  ConnectionMetaData

public class ActiveMQConnectionMetaData
extends Object
implements ConnectionMetaData

A `ConnectionMetaData` object provides information describing the `Connection` object.

Constructor Summary
`ActiveMQConnectionMetaData()`

Method Summary
`int` | `getJMSMajorVersion()` Gets the JMS major version number.
`int` | `getJMSMinorVersion()` Gets the JMS minor version number.
`String` | `getJMSProviderName()` Gets the JMS provider name.
`String` | `getJMSVersion()` Gets the JMS API version.
`Enumeration` | `getJMSXPropertyNames()` Gets an enumeration of the JMSX property names.
`int` | `getProviderMajorVersion()` Gets the JMS provider major version number.
`int` | `getProviderMinorVersion()` Gets the JMS provider minor version number.
`String` | `getProviderVersion()` Gets the JMS provider version.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQConnectionMetaData

    public ActiveMQConnectionMetaData()

Method Detail

### getJMSVersion

    public String getJMSVersion()

  Gets the JMS API version.

  Specified by:
    `getJMSVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS API version

### getJMSMajorVersion

    public int getJMSMajorVersion()

  Gets the JMS major version number.

  Specified by:
    `getJMSMajorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS API major version number

### getJMSMinorVersion

    public int getJMSMinorVersion()

  Gets the JMS minor version number.

  Specified by:
    `getJMSMinorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS API minor version number

### getJMSProviderName

    public String getJMSProviderName()

  Gets the JMS provider name.

  Specified by:
    `getJMSProviderName` in interface `ConnectionMetaData`
  Returns:
    the JMS provider name

### getProviderVersion

    public String getProviderVersion()

  Gets the JMS provider version.

  Specified by:
    `getProviderVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS provider version

### getProviderMajorVersion

    public int getProviderMajorVersion()

  Gets the JMS provider major version number.

  Specified by:
    `getProviderMajorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS provider major version number

### getProviderMinorVersion

    public int getProviderMinorVersion()

  Gets the JMS provider minor version number.

  Specified by:
    `getProviderMinorVersion` in interface `ConnectionMetaData`
  Returns:
    the JMS provider minor version number

### getJMSXPropertyNames

    public Enumeration getJMSXPropertyNames()

  Gets an enumeration of the JMSX property names.

  Specified by:
    `getJMSXPropertyNames` in interface `ConnectionMetaData`
  Returns:
    an Enumeration of JMSX property names

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.